// Create an instance of WScript.Shell to display popup dialogs.
var WshShell = new ActiveXObject('WScript.Shell');

// Try and create an instance of the PowerStrip COM object.
var PowerStrip = null;
try {
	PowerStrip = new ActiveXObject('EnTech.PowerStrip');
} catch (e) {
	WshShell.Popup('Could not create PowerStrip object instance.\nPlease ensure that EnTech.PowerStrip.dll has been registered with RegAsm.exe');
}

// Display a small dialog with information about monitor 0.
try {
	WshShell.Popup(
		'PowerStrip build: ' + PowerStrip.GetBuildNumber() + '\n' +
		'Current resolution: ' + PowerStrip.GetTimingParameters(0).HorizontalActivePixels + '\u00D7' + PowerStrip.GetTimingParameters(0).VerticalActivePixels + ' at ' + PowerStrip.GetRefreshRate(0) + 'Hz'
	);
} catch (e) {
	WshShell.Popup('Could not talk to PowerStrip: please ensure it is running.');
}